Policy Metadata - List
取得原則元數據資源的清單。
GET https://management.azure.com/providers/Microsoft.PolicyInsights/policyMetadata?api-version=2019-10-01
GET https://management.azure.com/providers/Microsoft.PolicyInsights/policyMetadata?api-version=2019-10-01&$top={$top}
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string |
用戶端 API 版本。 |
|
$top
|
query |
integer (int32) minimum: 0 |
要傳回的記錄數目上限。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
原則元數據資源集合。 |
|
| Other Status Codes |
描述作業失敗原因的錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 流
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 模擬您的用戶帳戶 |
範例
| Get collection of policy metadata resources |
| Get collection of policy metadata resources using top query parameter |
Get collection of policy metadata resources
範例要求
範例回覆
{
"value": [
{
"properties": {
"metadataId": "NIST SP 800-53 R4 AC-2",
"category": "Access control",
"title": "Account Management",
"owner": "Shared",
"additionalContentUrl": "https://aka.ms/NIST_SP_800-53_R4_AC-2",
"metadata": {}
},
"id": "/providers/Microsoft.PolicyInsights/policyMetadata/NIST_SP_800-53_R4_AC-2",
"name": "NIST_SP_800-53_R4_AC-2",
"type": "Microsoft.PolicyInsights/policyMetadata"
}
]
}
Get collection of policy metadata resources using top query parameter
範例要求
範例回覆
{
"value": [
{
"properties": {
"metadataId": "NIST SP 800-53 R4 AC-2",
"category": "Access control",
"title": "Account Management",
"owner": "Shared",
"additionalContentUrl": "https://aka.ms/NIST_SP_800-53_R4_AC-2",
"metadata": {}
},
"id": "/providers/Microsoft.PolicyInsights/policyMetadata/NIST_SP_800-53_R4_AC-2",
"name": "NIST_SP_800-53_R4_AC-2",
"type": "Microsoft.PolicyInsights/policyMetadata"
}
]
}
定義
| 名稱 | Description |
|---|---|
|
Error |
錯誤定義。 |
|
Error |
錯誤回應。 |
|
Policy |
原則元數據資源的集合。 |
|
Slim |
原則元數據資源定義的精簡版本,不包括具有大型字串的屬性 |
|
Typed |
案例特定錯誤詳細數據。 |
ErrorDefinition
錯誤定義。
| 名稱 | 類型 | Description |
|---|---|---|
| additionalInfo |
其他案例特定錯誤詳細數據。 |
|
| code |
string |
服務特定的錯誤碼,做為 HTTP 錯誤碼的子狀態。 |
| details |
內部錯誤詳細數據。 |
|
| message |
string |
錯誤的描述。 |
| target |
string |
錯誤的目標。 |
ErrorResponse
錯誤回應。
| 名稱 | 類型 | Description |
|---|---|---|
| error |
錯誤詳細數據。 |
PolicyMetadataCollection
原則元數據資源的集合。
| 名稱 | 類型 | Description |
|---|---|---|
| nextLink |
string |
要取得下一組結果的URL。 |
| value |
原則元數據定義的陣列。 |
SlimPolicyMetadata
原則元數據資源定義的精簡版本,不包括具有大型字串的屬性
| 名稱 | 類型 | Description |
|---|---|---|
| id |
string |
原則元數據的標識碼。 |
| name |
string |
原則元數據的名稱。 |
| properties.additionalContentUrl |
string |
取得有關資源元數據之其他內容的URL。 |
| properties.category |
string |
原則元數據的類別。 |
| properties.metadata |
object |
其他元數據。 |
| properties.metadataId |
string |
原則元數據識別碼。 |
| properties.owner |
string |
原則元數據的擁有者。 |
| properties.title |
string |
原則元數據的標題。 |
| type |
string |
原則元數據的類型。 |
TypedErrorInfo
案例特定錯誤詳細數據。
| 名稱 | 類型 | Description |
|---|---|---|
| info |
案例特定的錯誤詳細數據。 |
|
| type |
string |
包含的錯誤詳細數據類型。 |